package dev.fyloz.colorrecipesexplorer.dtos

data class RecipeStepDto(
    override val id: Long = 0L,

    val position: Int,

    val message: String
) : EntityDto {
    companion object {
        const val VALIDATION_ERROR_CODE_INVALID_FIRST_STEP = "first"
        const val VALIDATION_ERROR_CODE_DUPLICATED_STEPS_POSITION = "duplicated"
        const val VALIDATION_ERROR_CODE_GAP_BETWEEN_STEPS_POSITIONS = "gap"
    }
}
